org.h2.jdbc

## Interface JdbcPreparedStatementBackwardsCompat

All Known Implementing Classes:
  JdbcCallableStatement, JdbcPreparedStatement

    public interface JdbcPreparedStatementBackwardsCompat

Allows us to compile on older platforms, while still implementing the methods from the newer JDBC API.

### Method Summary

Methods
`long` `executeLargeUpdate()` Executes a statement (insert, update, delete, create, drop) and returns the update count.

### Method Detail

#### executeLargeUpdate

    long executeLargeUpdate()
                            throws java.sql.SQLException

Executes a statement (insert, update, delete, create, drop) and returns the update count. If another result set exists for this statement, this will be closed (even if this statement fails). If auto commit is on, this statement will be committed. If the statement is a DDL statement (create, drop, alter) and does not throw an exception, the current transaction (if any) is committed after executing the statement.

Returns:
  the update count (number of row affected by an insert, update or delete, or 0 if no rows or the statement was a create, drop, commit or rollback)
Throws:
  `java.sql.SQLException` - if this object is closed or invalid